Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members

# SoAlarmSensor Class Reference
[Sensor classes]

The SoAlarmSensor class is a sensor which will trigger once at a specified time. More...

`#include <Inventor/sensors/SoAlarmSensor.h>`

Inheritance diagram for SoAlarmSensor:

List of all members.

## Public Methods
| SoAlarmSensor (void)
| SoAlarmSensor (SoSensorCB *func, void *data)
virtual | ~SoAlarmSensor (void)
void | setTime (const SbTime &abstime)
void | setTimeFromNow (const SbTime &reltime)
const SbTime & | getTime (void) const
virtual void | schedule (void)

## Detailed Description

The SoAlarmSensor class is a sensor which will trigger once at a specified time.

SoAlarmSensor provides a convenient way of setting up triggers for jobs which should be executed only once when they are scheduled.

## Constructor & Destructor Documentation

SoAlarmSensor::SoAlarmSensor | ( | void |  | ) |

| Default constructor.

SoAlarmSensor::SoAlarmSensor | ( | SoSensorCB * | func,
|  | void * | data
| ) |

| Constructor taking as parameters the sensor callback function and the userdata which will be passed the callback. See also: setFunction(), setData()

SoAlarmSensor::~SoAlarmSensor | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

void SoAlarmSensor::setTime | ( | const SbTime & | abstime | ) |

| Set the time at which the sensor will trigger. Note that you must manually schedule() the sensor after calling this method. See also: setTimeFromNow(), getTime()

void SoAlarmSensor::setTimeFromNow | ( | const SbTime & | reltime | ) |

| Set the alarm to be at a specified offset from the current time. Note that you must manually schedule() the sensor after calling this method. See also: setTime(), getTime()

const SbTime & SoAlarmSensor::getTime | ( | void |  | ) | const

| Returns the trigger time for the alarm as an absolute value from 1970-01-01 00:00:00. See also: setTime(), setTimeFromNow()

void SoAlarmSensor::schedule | ( | void |  | ) | `[virtual]`

| Put the sensor in the global timer queue. See also: unschedule(), isScheduled() Reimplemented from SoTimerQueueSensor.

The documentation for this class was generated from the following files:

- SoAlarmSensor.h
- SoAlarmSensor.cpp